

import java.awt.*;
import java.awt.event.*;



class MessageDialog extends Dialog
					implements ActionListener
{
	
	public MessageDialog(Frame owner, String message)
	{
		super(owner, true);		// true -> modal dialog
		
		this.setLayout(new BorderLayout());
		this.add(new Label(message), BorderLayout.NORTH);
		
		Button okButton = new Button("OK");
		okButton.setActionCommand("ok");
		okButton.addActionListener(this);
		this.add(okButton, BorderLayout.SOUTH);
	}
	
	
	
	public void actionPerformed(ActionEvent theEvent)
	// respond to button pushes, menu selections
	{
		String command = theEvent.getActionCommand();
		
	
		if (command == "ok")
		{
			this.hide();
		}
		
	}
	
	
	
	public static void showMessageDialog(Frame owner, String message)
	{
		MessageDialog theDialog = new MessageDialog(owner, message);
		theDialog.pack();
		theDialog.show();
		
		// show() will block until hide() is called in response to a click on the
		// OK button
		
		theDialog.dispose();
		
	}
	
}